// Code generated by ent, DO NOT EDIT.

package ent

import (
	"time"

	"go.phucam.tv/ent/portal"
	"go.phucam.tv/ent/portalmetadata"
	"go.phucam.tv/ent/schema"
	"go.phucam.tv/ent/user"
)

// The init function reads all schema descriptors with runtime code
// (default values, validators, hooks and policies) and stitches it
// to their package variables.
func init() {
	portalFields := schema.Portal{}.Fields()
	_ = portalFields
	// portalDescCreatedAt is the schema descriptor for createdAt field.
	portalDescCreatedAt := portalFields[1].Descriptor()
	// portal.DefaultCreatedAt holds the default value on creation for the createdAt field.
	portal.DefaultCreatedAt = portalDescCreatedAt.Default.(func() time.Time)
	// portalDescUpdatedAt is the schema descriptor for updatedAt field.
	portalDescUpdatedAt := portalFields[2].Descriptor()
	// portal.DefaultUpdatedAt holds the default value on creation for the updatedAt field.
	portal.DefaultUpdatedAt = portalDescUpdatedAt.Default.(func() time.Time)
	// portalDescIsActive is the schema descriptor for isActive field.
	portalDescIsActive := portalFields[3].Descriptor()
	// portal.DefaultIsActive holds the default value on creation for the isActive field.
	portal.DefaultIsActive = portalDescIsActive.Default.(bool)
	portalmetadataFields := schema.PortalMetadata{}.Fields()
	_ = portalmetadataFields
	// portalmetadataDescCreatedAt is the schema descriptor for createdAt field.
	portalmetadataDescCreatedAt := portalmetadataFields[1].Descriptor()
	// portalmetadata.DefaultCreatedAt holds the default value on creation for the createdAt field.
	portalmetadata.DefaultCreatedAt = portalmetadataDescCreatedAt.Default.(func() time.Time)
	// portalmetadataDescUpdatedAt is the schema descriptor for updatedAt field.
	portalmetadataDescUpdatedAt := portalmetadataFields[2].Descriptor()
	// portalmetadata.DefaultUpdatedAt holds the default value on creation for the updatedAt field.
	portalmetadata.DefaultUpdatedAt = portalmetadataDescUpdatedAt.Default.(func() time.Time)
	userFields := schema.User{}.Fields()
	_ = userFields
	// userDescIsActive is the schema descriptor for isActive field.
	userDescIsActive := userFields[1].Descriptor()
	// user.DefaultIsActive holds the default value on creation for the isActive field.
	user.DefaultIsActive = userDescIsActive.Default.(bool)
	// userDescCreatedAt is the schema descriptor for createdAt field.
	userDescCreatedAt := userFields[2].Descriptor()
	// user.DefaultCreatedAt holds the default value on creation for the createdAt field.
	user.DefaultCreatedAt = userDescCreatedAt.Default.(func() time.Time)
	// userDescUpdatedAt is the schema descriptor for updatedAt field.
	userDescUpdatedAt := userFields[3].Descriptor()
	// user.DefaultUpdatedAt holds the default value on creation for the updatedAt field.
	user.DefaultUpdatedAt = userDescUpdatedAt.Default.(func() time.Time)
}
